%define rel	1

Name:		subtitlecomposer
Version:	0.6.4
Release:	%mkrel %{rel}
Summary:	A text-based subtitles editor
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		https://github.com/maxrd2/subtitlecomposer
Source0:	https://github.com/maxrd2/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
Patch0:		subtitlecomposer-0.5.3-mimetypes.patch
BuildRequires:	%{_lib}xine-devel
BuildRequires:	%{_lib}icu-devel
BuildRequires:	%{_lib}xine-devel
BuildRequires:	mpv-devel
BuildRequires:	gettext

BuildRequires:	extra-cmake-modules
BuildRequires:	kf5-macros
BuildRequires:	%{_lib}kf5auth-devel
BuildRequires:	%{_lib}kcodecs-devel
BuildRequires:	%{_lib}kconfig-devel
BuildRequires:	%{_lib}kf5configwidgets-devel
BuildRequires:	%{_lib}kf5widgetsaddons-devel 
BuildRequires:	%{_lib}kf5iconthemes-devel
BuildRequires:	%{_lib}kf5i18n-devel
BuildRequires:	%{_lib}kio-devel
BuildRequires:	%{_lib}kf5kross-devel
BuildRequires:	%{_lib}kf5sonnetui-devel
BuildRequires:	%{_lib}kf5textwidgets-devel
BuildRequires:	%{_lib}kf5widgetsaddons-devel
BuildRequires:	%{_lib}kf5xmlgui-devel
BuildRequires:	qttools5
BuildRequires:	%{_lib}qt5core-devel
BuildRequires:	%{_lib}qt5gui-devel
BuildRequires:	%{_lib}qt5widgets-devel
BuildRequires:	%{_lib}qt5test-devel
BuildRequires:	phonon4qt5-devel


%description
A text-based subtitles editor that supports basic operations as well as more
advanced ones, aiming to become an improved version of Subtitle Workshop for
every platform supported by KF5 (KDE Frameworks 5).

Features:

  * Support for multiple formats, including SubRip, MicroDVD, SSA/ASS
    (without advanced styles), MPlayer, TMPlayer and YouTube captions.
  * Live preview of subtitles and video with support for multiple backends
    (GStreamer, MPlayer/2, MPV, Xine, Phonon), audio channel selection and
    full screen mode.
  * Time shifting and adjusting, lines duration calculation, synchronization
    with video, etc.
  * Working with original subtitle and translation.
  * Texts styles (italic, bold, underline, stroke, color), spell checking,
    automatic translation (using Google services), etc.
  * Joining and splitting of files.
  * Automatic detection of errors.
  * Editing of subtitles through scripting (Ruby, Python, JavaScript and other
    languages supported by Kross).

%files -f %{name}.lang
%doc AUTHORS ChangeLog README.md TODO COPYING
%{_kf5_bindir}/%{name}
%{_kf5_applicationdir}/%{name}.desktop
%config(noreplace) %{_kf5_sysconfdir}/xdg/%{name}rc
%{_kf5_datadir}/kxmlgui5/%{name}/%{name}ui.rc
%{_kf5_datadir}/%{name}/
%{_kf5_libdir}/%{name}/
%{_kf5_iconsdir}/hicolor/*/*/*.png
%{_kf5_datadir}/mime/packages/%{name}.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

# fix permissions
chmod 644 ChangeLog

%build
%cmake_kf5
%make

%install
%make_install -C build

# fix permissions
chmod 755 %{buildroot}%{_kf5_datadir}/%{name}/scripts/*.py
chmod 755 %{buildroot}%{_kf5_datadir}/%{name}/scripts/*.rb

# we don't want these
find %{buildroot} -name '*.h' -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %{name}


%changelog
* Thu Jun 23 2016 bb <bb> 0.6.4-1pclos2016
- update

* Tue Apr 26 2016 bb <bb> 0.6.3-2pclos2016
- rebuild for new icu

* Fri Apr 15 2016 bb <bb> 0.6.3-1pclos2016
- create


